GLM: GLM_GTC_random

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTC_random
GTC Extensions (Stable)

## Functions
template<typename T >
GLM_FUNC_DECL detail::tvec3< T, defaultp > | ballRand (T const &Radius)
template<typename T >
GLM_FUNC_DECL detail::tvec2< T, defaultp > | circularRand (T const &Radius)
template<typename T >
GLM_FUNC_DECL detail::tvec2< T, defaultp > | diskRand (T const &Radius)
template<typename genType >
GLM_FUNC_DECL genType | gaussRand (genType const &Mean, genType const &Deviation)
template<typename genType >
GLM_FUNC_DECL genType | linearRand (genType const &Min, genType const &Max)
template<typename T >
GLM_FUNC_DECL detail::tvec3< T, defaultp > | sphericalRand (T const &Radius)

## Detailed Description

Generate random number from various distribution methods.

<glm/gtc/random.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL detail::tvec3<T, defaultp> glm::ballRand | ( | T const & | Radius | ) |

Generate a random 3D vector which coordinates are regulary distributed within the volume of a ball of a given radius.

Parameters

  Radius |

See Also
  GLM_GTC_random

GLM_FUNC_DECL detail::tvec2<T, defaultp> glm::circularRand | ( | T const & | Radius | ) |

Generate a random 2D vector which coordinates are regulary distributed on a circle of a given radius.

Parameters

  Radius |

See Also
  GLM_GTC_random

GLM_FUNC_DECL detail::tvec2<T, defaultp> glm::diskRand | ( | T const & | Radius | ) |

Generate a random 2D vector which coordinates are regulary distributed within the area of a disk of a given radius.

Parameters

  Radius |

See Also
  GLM_GTC_random

GLM_FUNC_DECL genType glm::gaussRand | ( | genType const & | Mean,
|  | genType const & | Deviation
| ) |  |

Generate random numbers in the interval [Min, Max], according a gaussian distribution.

Parameters

  Mean |
  Deviation |

See Also
  GLM_GTC_random

GLM_FUNC_DECL genType glm::linearRand | ( | genType const & | Min,
|  | genType const & | Max
| ) |  |

Generate random numbers in the interval [Min, Max], according a linear distribution.

Parameters

  Min |
  Max |

Template Parameters

  genType | Value type. Currently supported: half (not recommanded), float or double scalars and vectors.

See Also
  GLM_GTC_random

GLM_FUNC_DECL detail::tvec3<T, defaultp> glm::sphericalRand | ( | T const & | Radius | ) |

Generate a random 3D vector which coordinates are regulary distributed on a sphere of a given radius.

Parameters

  Radius |

See Also
  GLM_GTC_random